Summary:	Rarian - a documentation meta-data library
Summary(pl.UTF-8):	Rarian - biblioteka metadanych dokumentacji
Name:		rarian
Version:	0.8.1
Release:	5
License:	LGPL v2.1+ (library), GPL v2+ (utilities)
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/rarian/0.8/%{name}-%{version}.tar.bz2
# Source0-md5:	75091185e13da67a0ff4279de1757b94
Patch0:		%{name}-am.patch
URL:		http://rarian.freedesktop.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	libxslt-devel
Requires:	coreutils
Requires:	gawk
Requires:	libxslt
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Rarian is a documentation meta-data library that allows access to
documents, man pages and info pages. It was designed as a replacement
for scrollkeeper.

%description -l pl.UTF-8
Rarian to biblioteka metadanych dokumentacji pozwalająca na dostęp do
dokumentów oraz stron manuala i info. Została zaprojektowana jako
zamiennik scrollkeepera.

%package compat
Summary:	Extra files for compatibility with scrollkeeper
Summary(pl.UTF-8):	Dodatkowe pliki dla kompatybilności ze scrollkeeperem
License:	GPL v2+
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Provides:	scrollkeeper
Obsoletes:	scrollkeeper <= 1:0.3.14

%description compat
This package contains files needed to maintain backward-compatibility
with scrollkeeper.

%description compat -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do zachowania wstecznej zgodności
ze scrollkeeperem.

%package devel
Summary:	Development files for Rarian
Summary(pl.UTF-8):	Pliki programistyczne Rariana
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains files required to develop applications that use
the Rarian library ("librarian").

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki potrzebne do tworzenia aplikacji
wykorzystujących bibliotekę Rarian (librarian).

%package static
Summary:	Static Rarian library
Summary(pl.UTF-8):	Statyczna biblioteka Rarian
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Rarian library (librarian).

%description static -l pl.UTF-8
Statyczna biblioteka Rarian (librarian).

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-omf-read \
	--disable-skdb-update

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/omf

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsolted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/librarian.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post compat
%{_bindir}/rarian-sk-update

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/rarian-example
%attr(755,root,root) %{_libdir}/librarian.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librarian.so.0
%{_datadir}/librarian
%{_datadir}/help/rarian.document

%files compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rarian-sk-*
%attr(755,root,root) %{_bindir}/scrollkeeper-*
%dir %{_datadir}/omf

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librarian.so
%{_includedir}/rarian
%{_pkgconfigdir}/rarian.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/librarian.a
%changelog
* Sat Oct 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rarian.git;a=log;h=master

* Sat Oct 31 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> e447771
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> cabdce1
- x32 rebuild
- release 4 (by relup.sh)

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 144cc94
- added am patch (fixes build with current autoconf/m4)
- dropped libtool file
- release 3

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> 8ca077b
- /usr/share/help in filesystem >= 4.0-51

* Tue Nov 04 2008 Jakub Bogusz <qboosh@pld-linux.org> c5203e6
- -devel R: libstdc++-devel

* Tue Nov 04 2008 Szymon Siwek <sls@pld-linux.org> ebdef35
- BR: libstdc++-devel

* Sat Oct 04 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 7f26812
- updated to 0.8.1

* Thu Mar 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 4f911e6
- updated to 0.8.0

* Sat Feb 02 2008 hawk <hawk@pld-linux.org> d9e53c0
- updated to 0.7.1

* Wed Dec 19 2007 Patryk Zawadzki <patrys@room-303.com> bc51569
- 0.7.0

* Thu Sep 13 2007 Patryk Zawadzki <patrys@room-303.com> 9d4c54c
- no longer needed

* Thu Sep 13 2007 Patryk Zawadzki <patrys@room-303.com> bc04e3f
- 0.6.0

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 3caca5a
- removed COPYING.LIB and COPYING.UTILS from doc (just LGPL and GPL resp.)

* Sun Sep 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 0ec62ed
- pl, changed Groups
- package -static

* Thu Aug 30 2007 aflinta <aflinta@pld-linux.org> 5ced47c
- fixed scrollkeeper version to obsolete, release 2

* Wed Aug 29 2007 Marcin Banasiak <marcin.banasiak@gmail.com> c6d7247
- rarian-compat owns /usr/share/omf
- updated URL

* Wed Aug 29 2007 Patryk Zawadzki <patrys@room-303.com> 057d37c
- fix

* Wed Aug 29 2007 Patryk Zawadzki <patrys@room-303.com> 92d35c7
- always give an answer

* Wed Aug 29 2007 Patryk Zawadzki <patrys@room-303.com> 4105a80
- initial PLD release

